#EndPointUrl
endPointUrl=$endpoint$
#IdRepo EndPoint details
idRepoEndPointUrl=$endpoint$
idRepoRetrieveDataPath=/idrepository/v1/identity/uin/$uin$
idRepoRetrieveIdentityByRid = /idrepository/v1/identity/rid/$rid$
idRepoCreateUINRecordPath=/idrepository/v1/identity/
storeUINDataPath=ida/UINs
generateUINPath=/v1/uingenerator/uin
uinIdentityMapper=ida/TestData/UINData/UINMapping
#VID
VIDEndPointUrl=$endpoint$
idRepoCreateVIDRecordPath=/idrepository/v1/vid
idRepoUpdateVIDStatusPath=/idrepository/v1/vid/$vid$
idRepoRetrieveUINByVIDPath=/idrepository/v1/vid/$vid$
idRepoRegenerateVID=/idrepository/v1/vid/$vid$
#Security
clientidsecretkey=/v1/authmanager/authenticate/clientidsecretkey
#DeploymenyVersion
authVersion=v1
#EncryptionUtil details/
dev.encryptionPort=7654
int.encryptionPort=7655
qa.encryptionPort=7656
encryptUtilBaseUrl=http://$hostname$:$port$/v1
encryptionPath=/identity/encrypt?isInternal=false
internalEncryptionPath=/identity/encrypt?isInternal=true
encodePath=/identity/encode
decodePath=/identity/decode
decryptPath=/identity/authRequest/decrypt
encodeFilePath=/identity/encodeFile
decodeFilePath=/identity/decodeFile/?fileName=cbeff
validateSignaturePath=/identity/validateSign?signature=$signature$
#DBConnDetails
#QA
qa.dbKernelUrl=jdbc:postgresql://52.172.54.231:9001
qa.dbIdaUrl=jdbc:postgresql://52.172.54.231:9001
qa.dbAuditUrl=jdbc:postgresql://52.172.54.231:9001
#Integ
int.dbKernelUrl=jdbc:postgresql://104.211.228.46:9001
int.dbIdaUrl=jdbc:postgresql://104.211.228.46:9001
int.dbAuditUrl=jdbc:postgresql://104.211.228.46:9001
#dev
dev.dbKernelUrl=jdbc:postgresql://104.211.208.136:9001
dev.dbIdaUrl=jdbc:postgresql://104.211.208.136:9001
dev.dbAuditUrl=jdbc:postgresql://104.211.208.136:9001
dbKernelTableName=mosip_kernel
dbKernelSchemaName=kernel
dbKernelUserName=kerneluser
dbKernelPwd=Mosip@dev123
dbIdaTableName=mosip_ida
dbIdaSchemaName=ida
dbIdaUserName=idauser
dbIdaPwd=Mosip@dev123
dbAuditTableName=mosip_audit
dbAuditSchemaName=audit
dbAuditUserName=audituser
dbAuditPwd=Mosip@dev123
#Execution path settings
#scenarioPath=ida/eKYC/AuthWithIris
srcPath=/src/test/resources/
#testDataPath=ida/TestData/Bio/Iris/
